agentSipUri.sipServer with username/password (digest auth), using the number as caller ID.agentSipUri and keeps the credentials.resetPassword.curl --location --request PUT 'https://api.voxa.sa/v1/partner-api/workspace/sip-agent' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"agentSipUri": "sip:agent.example.com:5060",
"phoneNumber": "+966112345678",
"resetPassword": false,
"replaceExisting": false
}'{
"phoneNumber": "string",
"agentSipUri": "string",
"sipServer": "string",
"username": "string",
"realm": "string",
"password": "string",
"callerId": "string"
}